# $Id: smeserver-learn.spec,v 1.0 2016/03/07 13:40:22 unnilennium Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse.
%define name smeserver-learn
%define version 1.0
%define release 12

Summary: SME Server Mails Learning script
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-learn-1.0-event.patch
Patch1: smeserver-learn-1.0-SME9283.patch
Patch2: smeserver-learn-1.0-SME9284.patch
Patch3: smeserver-learn-1.0-SME6862.patch
Patch4: smeserver-learn-1.0-admin.patch
Patch5: smeserver-learn-1.0-SME9282.patch
Patch6: smeserver-learn-1.0-MOVE.patch
Patch7: smeserver-learn-1.0-VERBOSE.patch
Patch8: smeserver-learn-1.0-devnull.patch
Patch9:  smeserver-learn-1.0.bz9446.chown-bayes_tok.patch
Packager: JP Pialasse <tests@pialasse.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: perl-Email-Simple
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
Scripts which allows users to interact with spamassassin rules simply
by droping mail in special folders of their mailbox (working only with imap)
- Learn mail as spam
- Learn mail as ham
- Whitelist the sender so his mails won't be taged as spam again

%changelog
* Fri Jul 29 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-12.sme
- fix permission problem on bayes_tok [SME: 9446]

* Sat May 14 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-11.sme
- fix verbose disabled unlink /dev/null [SME: 9512]

* Wed Mar 16 2016 JP Pialasse <tests@pialasse.com> 1.0-10.sme
- fix encoding problem when removing or adding tags [SME: 9282]
- fix moving file not working MOVE patch [SME: 9314]
- NFR: setting for verbose (enabled,disabled, active) VERBOSE patch [SME: 9313]

* Tue Mar 15 2016 JP Pialasse <tests@pialasse.com> 1.0-8.sme
- NFR: check admin Maildir [SME: 9279]
- NFR: restrict utilization to some users [SME: 9280]

* Wed Mar 09 2016 JP Pialasse <tests@pialasse.com> 1.0-7.sme
- fix find not restrictive enough when learning also new [SME: 6862]
 
* Tue Mar 08 2016 JP Pialasse <tests@pialasse.com> 1.0-6.sme 
- new version SME8 and SME9
- fix wrong default db key DeleteAfterLearn [SME: 7083]
- added inspection of temp and new subdir [SME: 6862]
- moved default db keys as file outside of spec
- new db properties: (LearnAsHam,LearnInWL)RemoveSPAMTag, (*)LeanNew,(*)Uniq,(LearnAsSpam)SpamLinks
- new account db property for user: SpamLinks 
- import to buildsys [SME: 4423]
- use sa-learn per dir and not per message [SME: 1701]
- merge enhancements [SME: 4423] [SME: 1701]
- NFR: create links
- NFR: filter out SPAM tag from HAM and InWL mails
- NFR: added auto create folders if multiple folder disabled
- NFR: create db key for multiple folder to inspect
- enhanced move to junkmail or inbox
- moving job from crontab to /etc/cron.d/Learn
- fixed typo in event email-update (r3)
- fixed wrong file permission on /etc/cron.d/Lean [SME: 9283] (r4)
- fixed messy output [SME: 9284] (r5)
- fixed replaced cron file on update [SME: 9286](r6)

* Wed Jun 25 2008 Emmmanuel JOORIS <joorise@dot-world.net> 0.0.1-3
- add dependencies to spec file

* Mon Jun 23 2008 Daniel B. <daniel@firewall-services.com> 0.0.1-2
- add spaces after the tags

* Wed Jun 18 2008 Daniel B. <daniel@firewall-services.com> 0.0.1-1
- full path for Learn script in crontab templates
- rename to smeserver-learn
- Fix default tag for Ham mail to [HAM]
- Lean.pl will be executed daily by default

* Wed Jun 11 2008 Emmanuel JOORIS <joorise@dot-world.net>
- 0.0.1-0
- Original version

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT |\
sed -e "s@^$RPM_BUILD_ROOT@@g" \
-e "s@^%attr(0644,root,root) /etc/cron.d/Learn@%attr(0644,root,root)%config(noreplace) /etc/cron.d/Learn@"\
> %{name}-%{version}-filelist

%clean
#rm -rf $RPM_BUILD_ROOT

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

